Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.eclipse.gemini.blueprint.service.exporter.support
Enum DefaultInterfaceDetector

    java.lang.Object
      java.lang.Enum<DefaultInterfaceDetector>
          org.eclipse.gemini.blueprint.service.exporter.support.DefaultInterfaceDetector

All Implemented Interfaces:
  Serializable, Comparable<DefaultInterfaceDetector>, InterfaceDetector

    public enum DefaultInterfaceDetector

extends Enum<DefaultInterfaceDetector>
implements InterfaceDetector

Default implementation of `InterfaceDetector`.

Author:
  Costin Leau

Enum Constant Summary
`ALL_CLASSES`
`CLASS_HIERARCHY`
`DISABLED` Do not detect anything.
`INTERFACES`

Method Summary
`static DefaultInterfaceDetector` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DefaultInterfaceDetector[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gemini.blueprint.service.exporter.support.InterfaceDetector
`detect`

Enum Constant Detail

### DISABLED

    public static final DefaultInterfaceDetector DISABLED

  Do not detect anything.

### INTERFACES

    public static final DefaultInterfaceDetector INTERFACES

### CLASS_HIERARCHY

    public static final DefaultInterfaceDetector CLASS_HIERARCHY

### ALL_CLASSES

    public static final DefaultInterfaceDetector ALL_CLASSES

Method Detail

### values

    public static final DefaultInterfaceDetector[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(DefaultInterfaceDetector c : DefaultInterfaceDetector.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static DefaultInterfaceDetector valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2006-2010 Spring Framework. All Rights Reserved.